<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

return apply_filters( 'wc_nuvei_settings',
	array(
		'enabled' => array(
			'title'       => __( 'Enable/Disable', 'woocommerce-gateway-nuvei' ),
			'label'       => __( 'Enable Nuvei', 'woocommerce-gateway-nuvei' ),
			'type'        => 'checkbox',
			'description' => '',
			'default'     => 'no',
		),
		'title' => array(
			'title'       => __( 'Title', 'woocommerce-gateway-nuvei' ),
			'type'        => 'text',
			'description' => __( 'This controls the title which the user sees during checkout.', 'woocommerce-gateway-nuvei' ),
			'default'     => __( 'Credit Card (Nuvei)', 'woocommerce-gateway-nuvei' ),
			'desc_tip'    => true,
		),
		'description' => array(
			'title'       => __( 'Description', 'woocommerce-gateway-nuvei' ),
			'type'        => 'text',
			'description' => __( 'This controls the description which the user sees during checkout.', 'woocommerce-gateway-nuvei' ),
			'default'     => __( 'Pay with your credit card via Nuvei.', 'woocommerce-gateway-nuvei' ),
			'desc_tip'    => true,
		),
		'testmode' => array(
			'title'       => __( 'Test mode', 'woocommerce-gateway-nuvei' ),
			'label'       => __( 'Enable Test Mode', 'woocommerce-gateway-nuvei' ),
			'type'        => 'checkbox',
			'description' => __( 'Place the payment gateway in test mode using test API keys.', 'woocommerce-gateway-nuvei' ),
			'default'     => 'yes',
			'desc_tip'    => true,
		),

		'test_publishable_key' => array(
			'title'       => __( 'Test Primary Terminal Id', 'woocommerce-gateway-nuvei' ),
			'type'        => 'text',
			'description' => __( '', 'woocommerce-gateway-nuvei' ),
			'default'     => '',
			'desc_tip'    => true,
		),
		'test_secret_key' => array(
			'title'       => __( 'Test Primary Shared Secret', 'woocommerce-gateway-nuvei' ),
			'type'        => 'text',
			'description' => __( '', 'woocommerce-gateway-nuvei' ),
			'default'     => '',
			'desc_tip'    => true,
		),
        'test_currency' => array(
            'title'       => __( 'Test Primary Currency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-nuvei' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-nuvei' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-nuvei' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-nuvei' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-nuvei' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-nuvei' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-nuvei' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-nuvei' ),
            ),
        ),
        'test_multicurrency' => array(
            'title'       => __( 'Test multicurrency', 'woocommerce-gateway-nuvei' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'test_publishable_key2' => array(
            'title'       => __( 'Test Second Terminal Id', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_secret_key2' => array(
            'title'       => __( 'Test Second Shared Secret', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_currency2' => array(
            'title'       => __( 'Test Second Currency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-nuvei' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-nuvei' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-nuvei' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-nuvei' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-nuvei' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-nuvei' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-nuvei' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-nuvei' ),
            ),
        ),
        'test_multicurrency2' => array(
            'title'       => __( 'Test Second multicurrency', 'woocommerce-gateway-nuvei' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'test_publishable_key3' => array(
            'title'       => __( 'Test Third Terminal Id', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_secret_key3' => array(
            'title'       => __( 'Test Third Shared Secret', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_currency3' => array(
            'title'       => __( 'Test Third Currency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-nuvei' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-nuvei' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-nuvei' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-nuvei' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-nuvei' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-nuvei' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-nuvei' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-nuvei' ),
            ),
        ),
        'test_multicurrency3' => array(
            'title'       => __( 'Test Third multicurrency', 'woocommerce-gateway-nuvei' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),

        'publishable_key' => array(
            'title'       => __( 'Live Primary Terminal Id', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'secret_key' => array(
            'title'       => __( 'Live Primary Shared Secret', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'live_currency' => array(
            'title'       => __( 'Live Primary Currency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-nuvei' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-nuvei' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-nuvei' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-nuvei' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-nuvei' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-nuvei' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-nuvei' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-nuvei' ),
            ),
        ),
        'live_multicurrency' => array(
            'title'       => __( 'Live multicurrency', 'woocommerce-gateway-nuvei' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'publishable_key2' => array(
            'title'       => __( 'Live Second Terminal Id', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'secret_key2' => array(
            'title'       => __( 'Live Second Shared Secret', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'live_currency2' => array(
            'title'       => __( 'Live Second Currency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-nuvei' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-nuvei' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-nuvei' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-nuvei' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-nuvei' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-nuvei' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-nuvei' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-nuvei' ),
            ),
        ),
        'live_multicurrency2' => array(
            'title'       => __( 'Live Second multicurrency', 'woocommerce-gateway-nuvei' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'publishable_key3' => array(
            'title'       => __( 'Live Third Terminal Id', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'secret_key3' => array(
            'title'       => __( 'Live Third Shared Secret', 'woocommerce-gateway-nuvei' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'live_currency3' => array(
            'title'       => __( 'Live Third Currency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-nuvei' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-nuvei' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-nuvei' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-nuvei' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-nuvei' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-nuvei' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-nuvei' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-nuvei' ),
            ),
        ),
        'live_multicurrency3' => array(
            'title'       => __( 'Live Third multicurrency', 'woocommerce-gateway-nuvei' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-nuvei' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-nuvei' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),

        /*
		'capture' => array(
			'title'       => __( 'Capture', 'woocommerce-gateway-nuvei' ),
			'label'       => __( 'Capture charge immediately', 'woocommerce-gateway-nuvei' ),
			'type'        => 'checkbox',
			'description' => __( 'Whether or not to immediately capture the charge. When unchecked, the charge issues an authorization and will need to be captured later. Uncaptured charges expire in 7 days.', 'woocommerce-gateway-nuvei' ),
			'default'     => 'yes',
			'desc_tip'    => true,
		),*/
        'nuvei_integration_type' => array(
                'title'       => __( 'Integration type', 'woocommerce-gateway-nuvei' ),
                'type'        => 'select',
                'class'       => '',
                'description' => __( '', 'woocommerce-gateway-nuvei' ),
                'default'     => 'XML',
                'desc_tip'    => true,
                'options'     => array(
                    'xml' => __( 'XML', 'woocommerce-gateway-nuvei' ),
                    'hpp'   => __( 'HPP', 'woocommerce-gateway-nuvei' ),
                ),
        ),
	)
);
